<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: j.harms, www.jsharms.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
//error_reporting(E_ALL);
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."jsh_dplan/infusion_db.php";


if (file_exists(INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jsh_dplan/locale/German.php";
}



$action=""; $action_p="";


if(isset($_GET['action'])) {
	$action=stripinput($_GET['action']);
	//echo "action: $action<br>";
} else {
	$action="list";
}

if (isset($_POST['action_p'])) {
	$action_p=stripinput($_POST['action_p']);
} 

 
if (isset($_GET['scheck'])) {
	$scheck=stripinput($_GET['scheck']);
} else {
	$scheck="";
}


if(!isset($jahr_akt)){$jahr_akt=date("Y",time());}


if (isset($_GET['aid'])) {
	$aid=stripinput($_GET['aid']);
	
}else{
	// aid wird in den formularen per post bergeben
	if (isset($_POST['aid_p'])) {
		$aid=stripinput($_POST['aid_p']);
	}else{
		$aid="";
	}


}


if(!checkrights("JSH") ||!iADMIN){redirect("../index.php");}






// Adminmenue ausgelager, includen
include("./admin_menue.php");






opentable($locale['jsh_dplan804']);




// inhalt der schichten listen anfang *****************************************************
if ($action == "list" && iADMIN) {
// tabelle header oben
$aid=iAUTH;

echo "
<table class='tbl2'>
<tr class='tbl2'>	<td>".$locale['jsh_dplan200']."</td>
	<td>".$locale['jsh_dplan201']."</td>
	<td>".$locale['jsh_dplan202']."</td>
	<td>".$locale['jsh_dplan203']."</td>
	<td>".$locale['jsh_dplan204']."</td>
	<td>".$locale['jsh_dplan205']."</td>
	<td>".$locale['jsh_dplan206']."</td>
	<td>".$locale['jsh_dplan207']."</td>
	<td>".$locale['jsh_dplan208']."</td>
</tr>
";

	

		$result = dbquery("SELECT * FROM ".DB_JSHDPLAN_SCHT." ORDER BY sid ASC");
		$numrows = dbrows($result);
		
		
		while ($data = dbarray($result)) {

			$sid=$data['sid'];$sname=$data['sname'];$skurz=$data['snamekurz'];$sort=$data['sort'];
			$sfrom=$data['sfrom'];$still=$data['still'];$spause=$data['spause'];$sstunden=$data['sstunden'];
			$scheck=$data['scheck'];
		
			echo "<tr>";
			echo "<td class='tbl1'>".$sid."</td>";
			echo "<td class='tbl1'>".$sname."</td>";
			echo "<td class='tbl1'>".$skurz."</td>";
			echo "<td class='tbl1'>".$sort."</td>";
			echo "<td class='tbl1'>".$sfrom."</td>";
			echo "<td class='tbl1'>".$still."</td>";
			echo "<td class='tbl1'>".$spause."</td>";
			echo "<td class='tbl1'>".$sstunden."</td>";
			echo "<td class='tbl1'>
					<a class='button' href='".INFUSIONS."jsh_dplan/admin.php?aid=$aid&sid=$sid&check=$scheck&action=edit'><img src='./images/edit.png' border='0' alt='".$locale['jsh_dplan401']."' title='".$locale['edit'] ."'></a>
					<a class='button' onClick=\"return confirm('".$locale['jsh_dplan103']."')\" href='".INFUSIONS."jsh_dplan/admin.php?aid=$aid&sid=$sid&action=kill&scheck=$scheck&aid=$aid'><img src='./images/del.png' border='0' alt='".$locale['jsh_dplan402']."' title='".$locale['delete']."'></a>
				</td>";
			
			echo "</tr>\n";
			} 
	
	





echo "<tr><td>&nbsp;<form name='inputform' method='post' action='".INFUSIONS."jsh_dplan/admin.php'></td>
	<td><input type='text' name='sname' type='text' value='' maxlength='40' class='textbox' style='width:120px;'></td>
	<td><input type='text' name='skurz' type='text' value='' maxlength='3' class='textbox' style='width:30px;'></td>
	<td><input type='text' name='sort' type='text' value='' maxlength='20' class='textbox' style='width:60px;'></td>
	<td><input type='text' name='sfrom' type='text' value='' maxlength='5' class='textbox' style='width:35px;'></td>
	<td><input type='text' name='still' type='text' value='' maxlength='5' class='textbox' style='width:35px;'></td>
	<td><input type='text' name='spause' type='text' value='' maxlength='3' class='textbox' style='width:35px;'></td>
	<td><input type='text' name='sstunden' type='text' value='' maxlength='4' class='textbox' style='width:35px;'>
		<input type='hidden' name='action_p' type='text' value='new'>
		<input type='hidden' name='aid_p' type='text' value='$aid'>
	</td>
	<td><input type='submit' name='admin_new' value='".$locale['jsh_dplan400']."' class='button'>

</td>
	</tr>";

echo "</table>
<br>
</form>
";
closetable();
} // Listenansicht ende ********************************************************************



// New ********************************************************************
if ($action_p == "new" && iADMIN) {

	$sname=stripinput($_POST['sname']);$skurz=stripinput($_POST['skurz']);$sort=stripinput($_POST['sort']);$sfrom=stripinput($_POST['sfrom']);
	$still=stripinput($_POST['still']);$spause=stripinput($_POST['spause']);$sstunden=stripinput($_POST['sstunden']);
	
	
	
	
	
	$spause=str_replace(",",".",$spause);
	$sstunden=str_replace(",",".",$sstunden);
	
	$scheck=md5(time());
	
$result = dbquery("INSERT INTO ".DB_JSHDPLAN_SCHT." (sid, sname, snamekurz, sort, sfrom, still, spause, sstunden, scheck) VALUES(NULL, '$sname', '$skurz', '$sort', '$sfrom', '$still', '$spause','$sstunden', '$scheck')");

	
redirect(FUSION_SELF);
}
// new ende ********************************************************************


// Kill Anfang ********************************************************************


if (isset($action) && $action=="kill" && iADMIN){


	$sid=stripinput($_GET['sid']);$scheck=stripinput($_GET['scheck']);
	
	$result = dbquery("DELETE FROM ".DB_JSHDPLAN_SCHT." WHERE `sid`='$sid' AND `scheck`='$scheck' LIMIT 1");
	$action="";	
	redirect(FUSION_SELF);


}

// kill ende ************************************************************************




// Edit ********************************************************************
if ($action == "edit" && iADMIN) {

	$sid=stripinput($_GET['sid']);
	$check=stripinput($_GET['check']);
	
echo "
<table class='tbl2'>
<tr class='tbl2'>	<td>".$locale['jsh_dplan200']."</td>
	<td>".$locale['jsh_dplan201']."</td>
	<td>".$locale['jsh_dplan202']."</td>
	<td>".$locale['jsh_dplan203']."</td>
	<td>".$locale['jsh_dplan204']."</td>
	<td>".$locale['jsh_dplan205']."</td>
	<td>".$locale['jsh_dplan206']."</td>
	<td>".$locale['jsh_dplan207']."</td>
	<td>".$locale['jsh_dplan208']."</td>
</tr>
";

		$result_ed = dbquery("SELECT * FROM ".DB_JSHDPLAN_SCHT." WHERE sid='$sid' AND scheck='$check' LIMIT 1");
		$numrows = dbrows($result_ed);
		
		while ($data = dbarray($result_ed)) {
			
			$sid=$data['sid'];$sname=$data['sname'];$skurz=$data['snamekurz'];$sort=$data['sort'];
			$sfrom=$data['sfrom'];$still=$data['still'];$spause=$data['spause'];$sstunden=$data['sstunden'];
			$scheck=$data['scheck'];
		
		echo "
<tr>
	<td  class='tbl1'>
		<form name='inputform' method='post' action='".INFUSIONS."jsh_dplan/admin.php'>
		<input name='sid' type='hidden' value='$sid' maxlength='11' class='textbox' style='width:20px;'>$sid
	</td>
	<td class='tbl1'>
		<input type='text' name='sname'  value='$sname' maxlength='40' class='textbox' style='width:120px;'>
	</td>
	<td class='tbl1'>
		<input type='text' name='skurz'  value='$skurz' maxlength='3' class='textbox' style='width:30px;'>
	</td>
	<td class='tbl1'>
		<input type='text' name='sort'  value='$sort' maxlength='20' class='textbox' style='width:60px;'>
	</td>
	<td class='tbl1'>
		<input type='text' name='sfrom'  value='$sfrom' maxlength='5' class='textbox' style='width:40px;'>
	</td>
	<td class='tbl1'>
		<input type='text' name='still'  value='$still' maxlength='5' class='textbox' style='width:40px;'>
	</td>
	<td class='tbl1'>
		<input type='text' name='spause'  value='$spause' maxlength='5' class='textbox' style='width:35px;'>
	</td>
	<td class='tbl1'>
		<input type='text' name='sstunden'  value='$sstunden' maxlength='4' class='textbox' style='width:35px;'>
		<input type='hidden' name='action_p' type='text' value='save'>
		<input type='hidden' name='scheck' type='text' value='$scheck'>
		<input type='hidden' name='aid_p' type='text' value='$aid'>
	</td>
	<td class='tbl1'>
		<input type='submit' name='admin_save' value='".$locale['jsh_dplan404']."' class='button'>
	</td>
</tr>";
} 
echo"
<tr>
	<td colspan='9' align='middle'>
		<input type='button' class='button' value='".$locale['jsh_dplan403'] ."'onClick='history.go(-1)'>
	</td>
</tr>
</table>
</form>
";
closetable();
}
// Edit ENDE********************************************************************

// save *************************************************************************

if ($action_p == "save" && iADMIN) {

	$sname=stripinput($_POST['sname']);	$skurz=stripinput($_POST['skurz']);$sort=stripinput($_POST['sort']);$sfrom=stripinput($_POST['sfrom']);
	$still=stripinput($_POST['still']);	$spause=stripinput($_POST['spause']);$sstunden=stripinput($_POST['sstunden']);
	$scheck=stripinput($_POST['scheck']);$sid=stripinput($_POST['sid']);
  
//echo "SAVE_Daten: $scheck: $sid, $sname, $skurz, $sort, $sfrom $still,$spause, $sstunden<br>";

		$sstunden=str_replace(",",".",$sstunden);
		$spause=str_replace(",",".",$spause);
		
		if(strlen( $scheck)!=32){echo "Error, please call the webadmin ;-)";exit;}
		
		$result_save = dbquery("UPDATE ".DB_JSHDPLAN_SCHT." SET sid='$sid', sname='$sname', snamekurz='$skurz', sort='$sort', sfrom='$sfrom', still='$still', spause='$spause', sstunden='$sstunden' WHERE sid='$sid' AND scheck='$scheck' LIMIT 1");
		

$action_p="";

redirect(FUSION_SELF);

}
// save ENDE *************************************************************************


require_once THEMES."templates/footer.php";
?>