<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
|
| jsh_dplan, feiertage berechnen.

| by j. harms, www.jsharms.de
|Tabelle fr Feiertage wird erzeugt, wenn diese nicht besteht.
|Anpassung an phpfusion 7
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."jsh_dplan/infusion_db.php";

//die Bezeichnung der Feiertage wird aus der Lokal gezogen.

if (!defined("IN_FUSION")) { echo "This script is for phpfusion only"; exit; }


if (file_exists(INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jsh_dplan/locale/German.php";
}

if (!checkrights("JSH") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }



// 
if (isset($_GET['monat'])) {$monat=stripinput($_GET['monat']);} else {$monat="";}
if (isset($_GET['jahr']) && isNum($_GET['jahr'])){$jahr=$_GET['jahr'];} else {$jahr=date("Y",time());}

if (isset($_GET['aid'])){$aid_g=stripinput($_GET['aid']);} else {$aid_g="";}
if (!isset($fehler)) {$fehler=0;}


if(empty($jahr_next)){$jahr_next=date("Y",time())+1;}

// Adminmenue 
opentable($locale['jsh_dplan800']);
echo "<a href='".INFUSIONS."jsh_dplan/feiertage.php?jahr=$jahr&aid=$aid_g'><img src='./images/dplan.gif' border=0 title='".$locale['jsh_dplan801']."'></a>&nbsp;&nbsp;";
echo "&nbsp;<a href='".INFUSIONS."jsh_dplan/admin_ftg.php?act=lview&aid=$aid_g'><img src='./images/new.png' border=0 title='".$locale['jsh_dplan803']."'></a>&nbsp;&nbsp;";
echo "&nbsp;<a href='".INFUSIONS."jsh_dplan/admin.php?act=lview&aid=$aid_g'><img src='./images/back.gif' border=0 title='".$locale['jsh_dplan800']."'></a>&nbsp;&nbsp;<br>";


closetable();

opentable($locale['jsh_dplan109']);	
// prfen ob tabelle berhaupt existiert und wenn nicht, dann erfzeugen...
// Version aus infusion-Tabelle auslesen
		$inf_version="";
		$result_inf = dbquery("SELECT * FROM ".DB_INFUSIONS." WHERE `inf_title`='JSH_DPLAN' LIMIT 1");
			
		
		while ($data = dbarray($result_inf)) {
			echo "Infusion: ".$data['inf_title']." Version: ".$data['inf_version']."<br><br>";
					
		@$result_ft = @dbquery("SELECT * FROM ".DB_JSHDPLAN_FTG." LIMIT 1");
			if (mysql_errno()==1146){
				$sql_erstellen="CREATE TABLE ".DB_JSHDPLAN_FTG." (ft_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,ft_jahr VARCHAR(4) NOT NULL DEFAULT '',ft_monat VARCHAR(2) NOT NULL DEFAULT '',ft_tag VARCHAR(2) NOT NULL DEFAULT '',ft_name VARCHAR(40) NOT NULL DEFAULT '',ft_check VARCHAR(32) NOT NULL DEFAULT '',PRIMARY KEY (ft_id)) ENGINE=MyISAM;";

			 $result=mysql_query($sql_erstellen);
				if (!mysql_errno()>0){
					echo "<br><b>Tabelle f&uuml;r die Feiertage wurde erzeugt.</b><br><br>";
				}
         	
		
		}
		}







// prfen und erzeugen ENDE








// prfen, ob schon feiertage fr das gewnschte Jahr eingetragen sind.
$result = dbquery("SELECT * FROM ".DB_JSHDPLAN_FTG." WHERE ft_jahr='$jahr'");

if (dbrows($result) != 0) {	
		echo "Es sind bereits Eintr&auml;ge des Jahres vorhanden.<br>"; 
		$fehler=1;
		echo "<a href='./feiertage.php?jahr=$jahr_next&aid=".iAUTH."'>Feiertage des n&auml;chsten Jahres eintragen: ".$jahr_next."</a><br>";
			
			closetable();
			require_once THEMES."templates/footer.php";
			exit;
		}



//**************************Feiertag-Berechnung******************
echo "Feiertage im Monat $monat des Jahres $jahr<br><br>";
$feiertag["Ostern"]=""; $ostern="";
$feiertag["Karfreitag"]=""; $karfreitag="";
$feiertag["ChristiHF"]=""; $christihf="";
$feiertag["PfingstenSO"]=""; $pfingsten_so="";$feiertag["PfingstenMO"]=""; $pfingsten_mo="";
$feiertag["Fronleichnam"]=""; $fronleichnam="";
$feiertag["Muttertag"]=""; $muttertag="";
$feiertag["Advent1"]="";$advent1="";
$feiertag["Advent2"]="";$advent2="";
$feiertag["Advent3"]="";$advent3="";
$feiertag["Advent4"]="";$advent4="";
$feiertag["BussundBettag"]="";$bussbettag="";
// Feste Feiertage Variablen
$feiertag["Neujahr"]=""; $neujahr="";
$feiertag["DrKings"]=""; $drkings="";
$feiertag["Weihnachten"]=""; $weihnachten="";
$feiertag["Weihnachten1"]=""; $weihnachten1="";
$feiertag["Weihnachten2"]=""; $weihnachten2="";
$feiertag["Silvester"]=""; $silvester="";
$feiertag["D_Einheit"]=""; $D_einheit="";

//feiertage sortiert....
$feiertag["Neujahr"]=mktime(0,0,0,1,1,$jahr);$neujahr=date("d.m.Y",$feiertag["Neujahr"]);
$feiertag["DrKings"]=mktime(0,0,0,1,6,$jahr);$drkings=date("d.m.Y",$feiertag["DrKings"]);

$feiertag["Ostern"]=easter_date(date($jahr));$ostern=date("d.m.Y",$feiertag["Ostern"]);
$feiertag["Karfreitag"]=$feiertag["Ostern"]-(2*86400); $karfreitag=date("d.m.Y",$feiertag["Karfreitag"]);
$feiertag["ChristiHF"]=$feiertag["Ostern"]+(39*86400); $christihf=date("d.m.Y",$feiertag["ChristiHF"]);
$feiertag["PfingstenSO"]=$feiertag["Ostern"]+(49*86400); $pfingsten_so=date("d.m.Y",$feiertag["PfingstenSO"]);
$feiertag["PfingstenMO"]=$feiertag["Ostern"]+(50*86400); $pfingsten_mo=date("d.m.Y",$feiertag["PfingstenMO"]);
$feiertag["Fronleichnam"]=$feiertag["Ostern"]+(60*86400); $fronleichnam=date("d.m.Y",$feiertag["Fronleichnam"]);
$feiertag["Muttertag"]=mktime(0,0,0,5,(14-date("w",mktime(0,0,0,4,30,date("Y")))),date("Y")); $muttertag=date("d.m.Y",$feiertag["Muttertag"]);
$feiertag["Advent1"]=mktime(0,0,0,11,26+(7-date("w",mktime(0,0,0,11,26,date("Y")))),date("Y"));$advent1=date("d.m.Y",$feiertag["Advent1"]);
$feiertag["Advent2"]=$feiertag["Advent1"]+(7*86400);$advent2=date("d.m.Y",$feiertag["Advent2"]);
$feiertag["Advent3"]=$feiertag["Advent1"]+(14*86400);$advent3=date("d.m.Y",$feiertag["Advent3"]);
$feiertag["Advent4"]=$feiertag["Advent1"]+(21*86400);$advent4=date("d.m.Y",$feiertag["Advent4"]);
$feiertag["BussundBettag"]=$feiertag["Advent1"]-(11*86400);$bussbettag=date("d.m.Y",$feiertag["BussundBettag"]);


$feiertag["D_Einheit"]=mktime(0,0,0,10,3,$jahr);$d_einheit=date("d.m.Y",$feiertag["D_Einheit"]);
$feiertag["Weihnachten"]=mktime(0,0,0,12,24,$jahr);$weihnachten=date("d.m.Y",$feiertag["Weihnachten"]);
$feiertag["Weihnachten1"]=mktime(0,0,0,12,25,$jahr);$weihnachten1=date("d.m.Y",$feiertag["Weihnachten1"]);
$feiertag["Weihnachten2"]=mktime(0,0,0,12,26,$jahr);$weihnachten2=date("d.m.Y",$feiertag["Weihnachten2"]);
$feiertag["Silvester"]=mktime(0,0,0,12,31,$jahr);$silvester=date("d.m.Y",$feiertag["Silvester"]);



$anzahl="";
$anzahl=count($feiertag);
$tagname=""; $tagmonat=""; $tag=""; $tagjahr=""; 
$feiertag_bez="";



while(list($key, $tagzeit)=each($feiertag)){
	$tag_check=""; 
	
	$tagmonat=date("m",$tagzeit); 
	$tag=date("d",$tagzeit); $tagjahr=date("Y",$tagzeit);
	
	echo "$key, $tagmonat, $tag, $tagjahr<br>";
	$tag_check=md5($key);
	$feiertag_bez=$feiertag_name[$key];
	// feiertage in die DB eintragen Start
	
		$result = dbquery("SELECT * FROM ".DB_JSHDPLAN_FTG." WHERE ft_name='$key' AND ft_tag='$tag' AND ft_monat='$monat' AND ft_jahr='$jahr'");

		if (dbrows($result) == 0) {	
				
					$result = dbquery("INSERT INTO ".DB_JSHDPLAN_FTG." (ft_id , ft_jahr , ft_monat , ft_tag , ft_name , ft_check) 
					VALUES (NULL, '$jahr', '$tagmonat', '$tag', '$feiertag_bez', '$tag_check')");

			} 
	
	
	
	
	// feiertage in die DB eintragen ENDE
	

} //fr jeden feiertag[]
	
closetable();
require_once THEMES."templates/footer.php";
?>
