<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: j.harms, J03R6
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Version wird benötigt, daher local
if (file_exists(INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jsh_dplan/locale/German.php";
}

include INFUSIONS."jsh_dplan/infusion_db.php";

// Infusion general information
$inf_title = "JSH_DPLAN";
$inf_description = "Online Dienstplan";
$inf_version = $locale['jshdplan_version'];
$inf_developer = "JSHSoftware";
$inf_email = "spaminator@jsharms.de";
$inf_weburl = "http://www.jsharms.de";

$inf_folder = "jsh_dplan"; // The folder in which the infusion resides.

// Schichten
$inf_newtable[1] = DB_JSHDPLAN_SCHT." (
sid INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
sname VARCHAR(40) NOT NULL DEFAULT '',
snamekurz VARCHAR(3) NOT NULL DEFAULT '',
sort VARCHAR(20) NOT NULL DEFAULT '',
sfrom VARCHAR(5) NOT NULL DEFAULT '',
still VARCHAR(5) NOT NULL DEFAULT '',
spause VARCHAR(5) NOT NULL DEFAULT '',
sstunden VARCHAR(4) NOT NULL DEFAULT '',
scheck VARCHAR(32) NOT NULL DEFAULT '',
PRIMARY KEY (sid)
) ENGINE=MyISAM;";


// Kalendereinträge
$inf_newtable[2] = DB_JSHDPLAN_MNT." (
dpl_id INT(11) NOT NULL AUTO_INCREMENT,
dpl_year INT(4) NOT NULL DEFAULT '2015',
dpl_month tinyINT(2) NOT NULL DEFAULT '1',
dpl_u_id VARCHAR(20) NOT NULL DEFAULT '',
dpl_day1 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day2 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day3 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day4 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day5 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day6 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day7 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day8 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day9 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day10 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day11 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day12 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day13 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day14 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day15 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day16 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day17 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day18 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day19 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day20 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day21 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day22 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day23 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day24 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day25 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day26 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day27 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day28 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day29 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day30 VARCHAR(4) NOT NULL DEFAULT '',
dpl_day31 VARCHAR(4) NOT NULL DEFAULT '',
dpl_stdsoll VARCHAR(6) NOT NULL DEFAULT '',
dpl_stdist VARCHAR(6) NOT NULL DEFAULT '',
dpl_diff VARCHAR(6) NOT NULL DEFAULT '',
dpl_check VARCHAR(32) NOT NULL DEFAULT '',
dpl_userdg VARCHAR(20) NOT NULL DEFAULT '',
dpl_txt TEXT NOT NULL,
PRIMARY KEY (dpl_id)
) ENGINE=MyISAM;";

$inf_newtable[3] = DB_JSHDPLAN_FTG." (
ft_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
ft_jahr VARCHAR(4) NOT NULL DEFAULT '',
ft_monat VARCHAR(2) NOT NULL DEFAULT '',
ft_tag VARCHAR(2) NOT NULL DEFAULT '',
ft_name VARCHAR(40) NOT NULL DEFAULT '',
ft_check VARCHAR(32) NOT NULL DEFAULT '',
PRIMARY KEY (ft_id)
) ENGINE=MyISAM;";

// Erstellen der Tabelle jsh_dplan_stdzettel
$inf_newtable[4] = DB_JSHDPLAN_STDZ." (
stdid INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
stdjahr INT(4) NOT NULL DEFAULT '0',
stdmonat INT(2) NOT NULL DEFAULT '0',
stdtag INT(2) NOT NULL DEFAULT '0',
stdschicht VARCHAR(20) NOT NULL DEFAULT '',
stduserid INT(3) NOT NULL DEFAULT '0',
stdvon INT(10) NOT NULL DEFAULT '0',
stdbis INT(10) NOT NULL DEFAULT '0',
stdpause VARCHAR(5) NOT NULL DEFAULT '0.00',
stdanzahl VARCHAR(5) NOT NULL DEFAULT '',
stdcheck VARCHAR(32) NOT NULL DEFAULT '',
PRIMARY KEY (stdid)
) ENGINE=MyISAM;";


// demo data for developer install - remove this lines if you do not wont to install this - begin
$inf_insertdbrow[1] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Sp&auml;tschicht1','S1','Bayreuth','11:00','21:00','0.5','9.5','01234567899874563210012345678912')";
$inf_insertdbrow[2] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Sp&auml;tschicht2','S2','Bayreuth','12:00','22:00','0.5','9.5','01234567899874563210012345678912')";
$inf_insertdbrow[3] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Sp&auml;tschicht3','S3','Bayreuth','14:00','24:00','0.5','9.5','01234567899874563210012345678912')";
$inf_insertdbrow[4] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Fr&uuml;h1','F1','Bayreuth','05:00','13:00','0.5','7.5','01234567899874563210012345678912')";
$inf_insertdbrow[5] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Fr&uuml;h2','F2','Bayreuth','06:00','14:00','0.5','7.5','01234567899874563210012345678912')";
$inf_insertdbrow[6] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Fr&uuml;h3','F3','Bayreuth','07:00','15:00','0.5','7.5','01234567899874563210012345678912')";
$inf_insertdbrow[7] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Nacht1','N1','Bayreuth','20:00','06:00','0.5','9.5','01234567899874563210012345678912')";
$inf_insertdbrow[8] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Nacht2','N2','Bayreuth','21:00','07:00','0.5','9.5','01234567899874563210012345678912')";
$inf_insertdbrow[9] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Nacht3','N3','Bayreuth','22:00','08:00','0.5','9.5','01234567899874563210012345678912')";
$inf_insertdbrow[10] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Urlaub','EU','---','08:00','16:30','0.5','8.0','99234567899874563210012345678912')";
$inf_insertdbrow[11] = DB_JSHDPLAN_SCHT." (sid,sname,snamekurz,sort,sfrom,still,spause,sstunden,scheck) VALUES(NULL,'Krank','K','---','08:00','16:30','0.5','8.0','91234567899874563210012345678912')";
// demo data for developer install - remove this lines if you do not wont to install this - END


$inf_droptable[1] = DB_JSHDPLAN_SCHT;
$inf_droptable[2] = DB_JSHDPLAN_MNT;
$inf_droptable[3] = DB_JSHDPLAN_FTG;
$inf_droptable[4] = DB_JSHDPLAN_STDZ;

$inf_adminpanel[1] = array(
"title" => "JSHDPLAN v2.3",
"image" => "../../infusions/jsh_dplan/images/dplan.png",
"panel" => "admin.php",
"rights" => "DPL"
);
$inf_sitelink[1] = array(
"title" => "JSH_DPLAN",
"url" => "liste.php",
"visibility" => "0"
);


?>