<?php
// JSH_DPLAN phpfusion 7x infusion
// Infusion titles & description
// Erweiterung mit jsh_form generiert, daher anpassung der local
$locale['jshdplan_title'] = "JSH_DPLAN";
$locale['jshdplan_desc'] = "online Dienstplanung";
$locale['jshdplan_admin1'] = "Admin";
$locale['jshdplan_link1'] = "Dienstplan";
$locale['jshdplan_version'] = "2.3"; 

// locale an jsh_form angepasst
$locale['items_per_page'] = "19"; 


// Feldnamen fuer feiertage admin
$locale['ft_id']="ft_id-";
$locale['ft_jahr']="ft_jahr-";
$locale['ft_monat']="ft_monat-";
$locale['ft_tag']="ft_tag-";
$locale['ft_name']="ft_name-";
$locale['ft_check']="ft_check-";

// standard Bezeichnungen, edit, neu, lschen
$locale['add'] ="add+";
$locale['delete'] ="l&ouml;schen-";
$locale['edit'] ="bearbeiten-";
$locale['next'] ="weiter-";
$locale['back'] ="zur&uuml;ck-";
$locale['title_header_fieldname'] ="Bezeichnung-";
$locale['title_header_data'] ="Eintrag-";


// standard Fragen
$locale['ask_delete'] ="Wollen Sie den Eintrag wirklich entfernen?-";

// Tooltips Edit oder neu
$local['edit_int']="Geben Sie eine Ganzzahl ein--";
$local['edit_email']="Geben Sie eine EmailAdresse ein--";
$local['edit_datum']="Geben Sie ein Datum ein--";
$local['edit_datumtime']="Geben Sie ein Datum und eine Uhrzeit im Format 25.01.2015 17:45:00 ein--";
$local['edit_pause']="Pause im Format 0.5 oder 00:30 (f&uuml;r halbe Stunde) eingeben--";

$locale['jsh_dplan99'] = "Dienstplan";
$locale['jsh_dplan100'] = "JSH_DPLAN Schichtarten";
$locale['jsh_dplan101'] = "JSH_DPLAN - online Dienstplanung";
$locale['jsh_dplan102'] = "Schichten bearbeiten";
$locale['jsh_dplan103'] = "Wollen Sie den Eintrag entfernen?";
$locale['jsh_dplan104'] = "Schichtdaten jahr - monat des Benutzers user wurden gespeichert";
$locale['jsh_dplan105'] = "Schicht - Eingabe";
$locale['jsh_dplan106'] = "Eintrag wurde gesichert."; // dplan_save, save is ok
$locale['jsh_dplan107'] ="Vorplanung ist beendet";  // dlan-liste warnzeichen Tooltip wenn Vorplanung beendet ist
$locale['jsh_dplan108'] ="LocaleEintrag ndern";
$locale['jsh_dplan109'] ="Feiertage berechnen"; // berschrift Admin - Feiertage berechnen


// jsh_dplan Schichten liste header
$locale['jsh_dplan200'] = "id-";
$locale['jsh_dplan201'] = "Name-";
$locale['jsh_dplan202'] = "Kurz-";
$locale['jsh_dplan203'] = "Ort-";
$locale['jsh_dplan204'] = "von-";
$locale['jsh_dplan205'] = "bis-";
$locale['jsh_dplan206'] = "Pause-";
$locale['jsh_dplan207'] = "Std.-";
$locale['jsh_dplan208'] = "Edit-";

// errors
$locale['jsh_dplan300'] = "<a href='../../login.php'>Bitte im System anmelden-</a>";
$locale['jsh_dplan301'] = "Monat ist nicht ok-";
$locale['jsh_dplan302'] = "Username ist nicht vorhanden-<br>";
$locale['jsh_dplan303'] = "Wollen Sie den Eintrag wirklich l&ouml;schen?";
$locale['jsh_dplan304'] = "Fehler beim L&ouml;schen, Daten sind nicht korrekt!<br>";
$locale['jsh_dplan305'] = "Fehler, Tag ist kein Monatag"; // Wochenansicht
$locale['jsh_dplan306'] = "Es gab einen Fehler beim L&ouml;schen des Eintrages!";


// jsh_dplan Schichten 
$locale['jsh_dplan400'] = "Neu anlegen-";
$locale['jsh_dplan401'] = "Bearbeiten-";
$locale['jsh_dplan402'] = "L&ouml;schen-"; // lschbutton in allen listen
$locale['jsh_dplan403'] = "zur&uuml;ck-";
$locale['jsh_dplan404'] = "Speichern-";
$locale['jsh_dplan405'] = "wechseln-";


//JSH_DPLAN monatsansicht
$locale['jsh_dplan501'] = "Neuantrag-"; 
$locale['jsh_dplan502'] = "Schichten-"; 
$locale['jsh_dplan503'] = "alle"; // dropdown alle gruppen eintrag 
$locale['jsh_dplan504'] = "Monat-";
$locale['jsh_dplan505'] = "Jahr-";
$locale['jsh_dplan506'] = "Name-";
$locale['jsh_dplan507'] = "Gruppe-";
$locale['jsh_dplan508'] = "ED-";
$locale['jsh_dplan509'] = "Monatsabrechnung-";  // stundenzettel ffnen aus monatsansicht dplan
$locale['jsh_dplan510'] = "TAG-";  // stundenzettel ffnen aus monatsansicht dplan
$locale['jsh_dplan511'] = "2014";  // fromYear fr Dropdown erzeugen Jahreszahl
$locale['jsh_dplan512'] = "2018";  // toYear fr Dropdown erzeugen Jahreszahl
$locale['jsh_dplan513'] = "W&auml;hlen Sie die Gruppe aus"; // Filter Gruppenauswahl


// wochenansicht, woche.php
$locale['jsh_dplan520'] = "Wochenansicht";  // berschrift
$locale['jsh_dplan521'] ="Monat nicht gesetzt oder keine Zahl.--<br>";
$locale['jsh_dplan522'] ="Jahr nicht gesetzt oder keine Zahl.<br>";
$locale['jsh_dplan523'] ="Tag nicht gesetzt oder keine Zahl.<br>";
$locale['jsh_dplan524'] ="Es wurden bereits alle m&ouml;gliche User in den Dienstplan eingetragen.-";


// JSH_DPLAN add_user
$locale['jsh_dplan600'] = "Name-"; // alt
$locale['jsh_dplan601'] = "Email-"; // alt
$locale['jsh_dplan602'] = "Gruppen-"; // alt
$locale['jsh_dplan603'] = "eintragen-"; //alt
$locale['jsh_dplan604'] = "Auswahl-";
$locale['jsh_dplan605'] = "alles markieren-";
$locale['jsh_dplan606'] = "alles demarkieren-";
$locale['jsh_dplan607'] = "Bitte treffen Sie eine Auswahl-";
$locale['jsh_dplan608'] = "Eingabe nicht akzeptiert. Fehler in der Daten&uuml;bergabe-";
$locale['jsh_dplan608'] = "";

//JSH_DPLAN edit_user_info
$locale['jsh_dplan700'] = "Hinweis:-";

//locale Admin - Bereich
$locale['jsh_dplan800'] = "JSH_DPLAN - Adminbereich-";
$locale['jsh_dplan801'] = "Feiertage erzeugen-";
$locale['jsh_dplan802'] = "Update-";
$locale['jsh_dplan803'] = "Feiertage bearbeiten-";
$locale['jsh_dplan804'] = "Schichten Adminbereich-";
$locale['jsh_dplan805'] = "Installation Check-";


// tagnamen
$tag_name[0]="So";
$tag_name[1]="Mo";
$tag_name[2]="Di";
$tag_name[3]="Mi";
$tag_name[4]="Do";
$tag_name[5]="Fr";
$tag_name[6]="Sa";
$tag_bgcolor[6]="#e8e8e8"; // samstag
$tag_bgcolor[0]="#cfcfcf"; // Sonntag
$tag_bgcolor[9]="#cfcfcf"; // feiertag

//feiertage - Namen 

$feiertag_name["Ostern"]="Ostersonntag"; 
$feiertag_name["Karfreitag"]="Karfreitag"; 
$feiertag_name["ChristiHF"]="Christi Himmelfahrt"; 
$feiertag_name["PfingstenSO"]="Pfingstsonntag";
$feiertag_name["PfingstenMO"]="Pfingsmontag";
$feiertag_name["Fronleichnam"]="Frohnleichnam";
$feiertag_name["Muttertag"]="Muttertag"; 
$feiertag_name["Advent1"]="1. Advent";
$feiertag_name["Advent2"]="2. Advent";
$feiertag_name["Advent3"]="3. Advent";
$feiertag_name["Advent4"]="4. Advent";
$feiertag_name["BussundBettag"]="Bu- und Bettag";
// Feste Feiertage - Namen
$feiertag_name["Neujahr"]="Neujahrstag";
$feiertag_name["DrKings"]="Heilige 3 Knige";
$feiertag_name["Weihnachten"]="Heiliger Abend";
$feiertag_name["Weihnachten1"]="1. Weihnachtsfeiertag";
$feiertag_name["Weihnachten2"]="2. Weihnachtsfeiertag"; 
$feiertag_name["Silvester"]="Silvester"; 
$feiertag_name["D_Einheit"]="Tag der deutschen Einheit";


// config
$locale['jsh_dplan900'] ="1"; // member only, 1 ist nur fr Member, sonst fr alle sichtbar. --- wird nur noch fr 1 untersttzt
$locale['jsh_dplan901'] ="0"; // linkes Men einschalten = 1, sonst ausblenden
$locale['jsh_dplan902'] ="1";  // Anzeige der Benutzergruppe in liste 1 ist an.
$locale['jsh_dplan903'] ="1";  // Sperre des Editmodus fr Benutzer am den ... Tag im Monat, Admin kann immer bearbeiten, deaktiviert=0
$locale['jsh_dplan904'] ="1"; // Art der Sperre 1 oder 2
$locale['jsh_dplan905']="1";  // ab Version 1.12 Stundenanzeige an (1) oder aus (0)
$locale['jsh_dplan906']="1";  // Anzeige der tglichen Strken an und aus (0) 
$locale['jsh_dplan907']="1";   // leerzeile vor Schichtstrkenausgabe 1=an 0 =aus
$locale['jsh_dplan908']="1";   // Schichtstrkenausgabe Zeitangaben Uhrzeit,  1=an 0 =aus
$locale['jsh_dplan909']="1";   // Schichtstrkenausgabe Zeitangaben Stunden und Pause, 1=an 0 =aus
$locale['jsh_dplan910']="1";   // Feiertage - Footer unterhalb Dienstplan, 1=an 0 =aus


//locale Stundenzettel
$locale['jsh_dplan1000'] = "JSH_DPLAN - Stundenzettel-";

// Feldnamen fuer stundenzettel stdzettel.php
$locale['stdid']="ID-";
$locale['stdjahr']="JAHR-";
$locale['stdmonat']="MONAT-";
$locale['stdtag']="TAG-";
$locale['stdschicht']="SCHICHT-";
$locale['stduserid']="User-";
$locale['stdvon']="VON-";
$locale['stdbis']="BIS-";
$locale['stdanzahl']="STUNDEN-";
$locale['stdcheck']="CHECKSUMME-";
$locale['stdpause']="PAUSE-";

// fehler im Stundenzettel stdzettel.php
$locale['jsh_dplan1100'] = "STUNDENZETTEL-";
$locale['jsh_dplan1101'] = "Monat und Jahr m&uuml;ssen >0 sein-";
$locale['jsh_dplan1102'] = "Bisher wurden keine Stunden erfasst.-";
$locale['jsh_dplan1103'] = "Stunden aus Vorplanung importieren-";
$locale['jsh_dplan1104'] = "Stunden sind kleiner 0! Pr&uuml;fen Sie das Enddatum und Endzeit der Schicht.";
$locale['jsh_dplan1105'] = "Es gab einen Fehler beim Erzeugen des Schichteintrages.";
$month[1] = "Januar";
$month[2]  = "Februar";
$month[3]  = "M&auml;rz";
$month[4]  = "April";
$month[5]  = "Mai";
$month[6]  = "Juni";
$month[7]  = "Juli";
$month[8]  = "August";
$month[9]  = "September";
$month[10]  = "Oktober";
$month[11]  = "November";
$month[12]  = "Dezember";




?>