<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: members.php
| Author: jsharms, based on members.php
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
//require_once THEMES."templates/admin_header.php";
error_reporting(E_ALL);
require_once THEMES."templates/header.php";

include INFUSIONS."jsh_dplan/infusion_db.php";
include LOCALE.LOCALESET."members.php";


if (file_exists(INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jsh_dplan/locale/German.php";
}
$fehler=0;

if (isset($_GET['aid'])) {$aid=stripinput($_GET['aid']);} else {$aid=""; $fehler=1;}

 if(!checkrights("JSH") ||!iADMIN ||($aid!=iAUTH)){echo "Admin-aid ung&uuml;ltig<br>";$fehler=1;}



// Übergabe von der DPLAN-Liste, monat und jahr wird übergeben.
if (isset($_GET['monat'])) {$monat=stripinput($_GET['monat']);} else {$monat=""; $fehler=1;}
if (isset($_GET['jahr'])) {$jahr=stripinput($_GET['jahr']);} else {$jahr=""; $fehler=1;}

// act nur nach Formular übergeben
if (isset($_POST['act'])) {$act=stripinput($_POST['act']);}else{$act="";}


// ab hier eintragen der user und gruppen in die Monatsliste  -- begin

if ($act=="save"){
$fehler=0;
$fehler_txt="";
opentable("<img src='".INFUSIONS."jsh_dplan/images/save.png' border='0'>"."SAVE");

if (isset($_POST['gruppe'])) {$gruppe=stripinput($_POST['gruppe']);} else {$gruppe="";}

if (isset($_POST['monat_p'])&& isnum($_POST['monat_p'])){$monat_p=$_POST['monat_p'];}else{$fehler=1; $fehler_txt.="Monat-p ist nicht ok<br>";}
if (isset($_POST['jahr_p'])&& isnum($_POST['jahr_p'])){$jahr_p=$_POST['jahr_p'];}else{$fehler=1; $fehler_txt.="jahr-p ist nicht ok<br>";}
if (isset($_POST['userid'])) {$userid=stripinput($_POST['userid']);} else {$userid="";}
if (isset($_POST['user'])) {$user=stripinput($_POST['user']);} else {$user="";}
if (isset($_POST['gruppe'])) {$gruppe=stripinput($_POST['gruppe']);} else {$gruppe="";} // ausgewählte gruppen
if (isset($_POST['svn'])) {$svn=stripinput($_POST['svn']);} else {$svn[0]="";} // checkboxen
// eintragen, user,userid


if ($fehler==1){
	echo $locale['jsh_dplan608']; // Fehler in der DAtenübergabe, Eingabe nicht akzeptiert
	echo $fehler_txt;
	closetable();
	require_once THEMES."templates/footer.php";
	}

// echo "$monat_p, $jahr_p<br>";
$anzahl_user=count($gruppe);
$anzahl_userid=count($userid);
$anzahl_speichern=count($svn);

// es wurde keine Auswahl getroffen, daher nichts prüfen
if ($anzahl_speichern==1 && $svn[0]==""){
	//echo "Anzahl der User die gepr&uuml;ft werden: ".$anzahl_user.", $anzahl_userid<br>Speichern muss ich: $anzahl_speichern [".$svn[0]."], Anzahl Userid: $anzahl_userid<br>";
	echo $locale['jsh_dplan607']; // Bitte treffen Sie eine Auswahl
	closetable();
	require_once THEMES."templates/footer.php";
	exit;
}

echo "<table class='tbl2'>";
for ($x = 0; $x <$anzahl_user; $x++) {
	$user_tmp=""; $userid_tmp=""; $eintragen_tmp="";
	$user_tmp=$user[$x];$userid_tmp=$userid[$x]; $schicht_tmp=$user; $gruppe_tmp=$gruppe[$x];
	
	if (in_array($userid_tmp, $svn)) {
		$svn_tmp="eintragen";
		// ist bereits ein eintrag vorhanden, dann nicht eintragen
			$result = dbquery("SELECT * FROM ".DB_JSHDPLAN_MNT." WHERE dpl_month='$monat_p' AND dpl_year='$jahr_p' AND dpl_u_id='$user_tmp' LIMIT 1");
			
			if (dbrows($result) == 0) {	
				$jetzt=md5(time());
				$dpl_check=md5($x.$jetzt.$x.$user_tmp); 
				$tag1="";$tag2="";$tag3="";$tag4="";$tag5="";$tag6="";$tag7="";$tag8="";$tag9="";$tag10="";$tag11="";$tag12="";$tag13="";$tag14="";$tag15="";$tag16="";$tag17="";$tag18="";$tag19="";$tag20="";$tag21="";$tag22="";$tag23="";$tag24="";$tag25="";$tag26="";$tag27="";$tag28="";$tag29="";$tag30="";$tag31="";
				$dpl_stdsoll ="";$dpl_stdist ="";$dpl_diff="";$dpl_txt="";
			
			$result_b = dbquery("INSERT INTO ".DB_JSHDPLAN_MNT." (dpl_id , dpl_year , dpl_month , dpl_u_id , dpl_day1 , dpl_day2 , dpl_day3 , dpl_day4 , dpl_day5 , dpl_day6 , dpl_day7 , dpl_day8 , dpl_day9 , dpl_day10 , dpl_day11 , dpl_day12 , dpl_day13 , dpl_day14 , dpl_day15 , dpl_day16 , dpl_day17 , dpl_day18 , dpl_day19 , dpl_day20 , dpl_day21 , dpl_day22 , dpl_day23 , dpl_day24 , dpl_day25 , dpl_day26 , dpl_day27 , dpl_day28 , dpl_day29 , dpl_day30 , dpl_day31 , dpl_stdsoll , dpl_stdist , dpl_diff , dpl_check, dpl_userdg, dpl_txt) 
					VALUES (NULL, '$jahr_p', '$monat_p', '$user_tmp', '$tag1', '$tag2', '$tag3', '$tag4', '$tag5', '$tag6', '$tag7', '$tag8', '$tag9', '$tag10','$tag11', '$tag12', '$tag13', '$tag14', '$tag15', '$tag16', '$tag17', '$tag18', '$tag19','$tag20', '$tag21', '$tag22', '$tag23', '$tag24', '$tag25', '$tag26', '$tag27', '$tag28', '$tag29', '$tag30', '$tag31', '$dpl_stdsoll', '$dpl_stdist', '$dpl_diff', '$dpl_check', '$gruppe_tmp', '$dpl_txt')");
				if ($result_b != 0) {	
					echo "<tr><td class='tbl1'>$userid_tmp.)</td><td class='tbl1'>$user_tmp</td><td class='tbl1'>$gruppe_tmp</td><td class='tbl1'><img src='".INFUSIONS."jsh_dplan/images/check.png' border='0'></td></tr>";
				}
				
			}else{
				$fehler=1;
			}
			echo "<tr><td class='tbl1'>$userid_tmp.)</td><td class='tbl1'>$user_tmp</td><td class='tbl1'>$gruppe_tmp</td><td class='tbl1'><img src='".INFUSIONS."jsh_dplan/images/check.png' border='0'></td></tr>\n";
	
		
	}else{
		// nicht eintragen
		$svn_tmp=" -NEIN- ";
		// echo "<tr><td  class='tbl1'>$userid_tmp.)</td><td  class='tbl1'>$user_tmp</td><td  class='tbl1'>$gruppe_tmp</td><td  class='tbl1' title='$svn_tmp'><img src='".INFUSIONS."jsh_dplan/images/bug_16.png' border='0'></td></tr>\n";
		
	}
	
} 
echo "</table>";

// nur noch wenn ein fehler auftritt action zeigen, sonst zum Dienstplan zurück
if ($fehler!=1){
	redirect(INFUSIONS."jsh_dplan/liste.php?jahr=$jahr_p&monat=$monat_p&aid=$aid");
}


// nach Tests und redirect rausnehmen - Begin
echo "
<br><br>\n
<center>\n
	<input type='button' class='button' value='".$locale['jsh_dplan403'] ."'onClick='history.go(-1)'>\n
</center>";
// nach Tests und redirect rausnehmen - ENDE



closetable();

require_once THEMES."templates/footer.php";
exit; // nicht weiter bei speichern, später redirect machen

}
// ab hier eintragen der user und gruppen in die Monatsliste  -- ENDE



// ab hier auswahl der user und gruppen
opentable("<img src='".INFUSIONS."jsh_dplan/images/friends_group.png' border='0'>".$locale['400']);

if (iMEMBER) {


// erstmal schauen wir schon in der Monatasliste steht und userid in ein array schreiben
// erstmal schauen, wer schon eingetragen ist
$monat=intval($monat); // integer machen aus 02 wird dann 2

$result_se = dbquery("SELECT dpl_u_id, dpl_year, dpl_month FROM ".DB_JSHDPLAN_MNT." WHERE dpl_year='$jahr' AND dpl_month='$monat' ORDER BY dpl_u_id");
//echo "SELECT dpl_u_id, dpl_year, dpl_month FROM ".DB_JSHDPLAN_MNT." WHERE dpl_year='$jahr' AND dpl_month='$monat' ORDER BY dpl_u_id<br>";
		
		
		while ($data = dbarray($result_se)) {
		//echo "Schon in Monatsliste: ".$data['dpl_u_id']."<br>";
		$user_se[]=$data['dpl_u_id'];
		
		}
		if(empty($user_se)){
			$user_se[]=""; // sonst undefined variable weiter unten
		}
		
	
		//echo "Anzahl vorhandener Eintr.: ".count($user_se)."<br>";
		if (count($user_se)!=0){
			$anzahl_user_se=count($user_se);
		}else{
			$anzahl_user_se=0;
		}
		
		if ($anzahl_user_se==0){
			$user_se[]=""; // einen leeren user_se setzen damit variable später gesetzt ist.
		}

	$result = dbquery("SELECT user_id FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_name");
	$rows = dbrows($result);
	
	//echo $rows." User in DB, $anzahl_user_se bereits eingetragen.<br>";
	// wenn bereits alle user eingetragen wurden.
	if ($rows==$anzahl_user_se){
		echo "<img src='".INFUSIONS."jsh_dplan/images/bug.png' border='0'>".$locale['jsh_dplan524'];
		closetable();

		require_once THEMES."templates/footer.php";
		exit;
	
	}
	
	echo "<form name='add_user_frm' action='".INFUSIONS."jsh_dplan/add_user.php?aid=$aid&act=save' method='post'>";
 $feld=""; $ausgabe="";
	if ($rows) {
		$i = 0;
		
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		echo "<td class='tbl2'><strong>".$locale['401']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['405']."</strong></td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['402']."</strong></td>\n";
		echo "<td align='center' width='1%' class='tbl2'><strong>".$locale['jsh_dplan604']."</strong></td>";
		echo "</tr>\n";
		$result = dbquery("SELECT user_id, user_name, user_status, user_level, user_groups FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_name");
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2"); $i++;
			
			
			$ausgabe_tmp="<tr>\n<td class='$cell_color'>\n".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
				
				
			
			$groups = "";
			$user_groups = explode(".", $data['user_groups']);
			$j = 0;
			//$groups="<select name='gruppe['".$data['user_name']."']'>";
			$groups="<select name='gruppe[]'>";
			foreach ($user_groups as $key => $value) {
				if ($value) {
					$groups .= "<option>".getgroupname($value)."</option>";
					
				}
				$j++;
			}
			$groups.="</select>";
			// usernamen array erstellen und userid array erstellen
			$feld.="";
			// auswahl ja nein darstellen
			$username=$data['user_name'];
			$ausgabe_tmp.= "<td class='$cell_color'>\n".($groups ? $groups : ($data['user_level'] == 103 ? $locale['407'] : $locale['406']))."</td>\n";
			$ausgabe_tmp.= "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getuserlevel($data['user_level'])."</td>\n";
			$ausgabe_tmp.= "<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>
			<input type='hidden' name='user[]' value='".$data['user_name']."'><input type='hidden' name='userid[]' value='".$data['user_id']."'>\n
			<input name='svn[]' type='checkbox' value='".$data['user_id']."' class='inputbox'  checked></td></tr>\n";
			
			// nur user eintragen, die noch nicht im Monat des Dienstplan erfasst sind
			if (!in_array($username, $user_se)) {
						$ausgabe.= $ausgabe_tmp;
			}
		
		}
	echo $ausgabe;
		
		echo "</table>\n"; 
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['403'].$_GET['sortby']."<br /><br />\n</div>\n";
	}

	echo "</tr>\n</table>\n";
	
	echo "
	$feld\n
	<center>
	<input type='button' class='button' value='".$locale['jsh_dplan403'] ."'onClick='history.go(-1)'>
	<a href='#' class='button' onclick=\"javascript:setChecked('add_user_frm','svn[]',1);return false;\">".$locale['jsh_dplan605'] ."</a>
	<a href='#' class='button' onclick=\"javascript:setChecked('add_user_frm','svn[]',0);return false;\">".$locale['jsh_dplan606'] ."</a>
	<input type='hidden' name='act' value='save' title='act = save'>
	<input type='hidden' name='monat_p' value='$monat' title='$monat'>
	<input type='hidden' name='jahr_p' value='$jahr' title='$jahr'>
	<input class='button' value='".$locale['jsh_dplan603'] ."' name='abschicken' type='submit'>
	</center>
</form>
";

	
	
	
} else {
	redirect(BASEDIR."index.php");
}
?>

<script type='text/javascript'>
/* <![CDATA[ */
function setChecked(frmName,chkName,val) {
dml=document.forms[frmName];
len=dml.elements.length;
for(i=0;i < len;i++) {
if(dml.elements[i].name == chkName) {
dml.elements[i].checked = val;
}
}
}
/* ]]>*/
</script>
<?php
closetable();
require_once THEMES."templates/footer.php";

?>