<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright © 2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
| JSH_DPLAN
| Check der installierten Schichten,  Version 1.0
| j. harms, www.jsharms.de
| check der installierten DBTabellen
|
+-----------------------------------------------------*/
require_once "../../maincore.php";
//require_once THEMES."templates/admin_header.php";

require_once THEMES."templates/header.php";

include INFUSIONS."jsh_dplan/infusion_db.php";


if (file_exists(INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php")) {
	include INFUSIONS."jsh_dplan/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."jsh_dplan/locale/German.php";
}

if(!checkrights("JSH") ||!iADMIN){redirect("../index.php");}

if(isset($_GET['aid'])) {$aid=stripinput($_GET['aid']);}
if ($aid!=iAUTH){
opentable("ERROR");
	echo "Aid ist falsch<br>";
closetable();
	require_once THEMES."templates/footer.php";

	exit;
}

if(isset($_GET['act'])) {$act=stripinput($_GET['act']);}else{$act="";}


//DB_JSHDPLAN_SCHT, DB_JSHDPLAN_MNT, DB_JSHDPLAN_FTG, DB_JSHDPLAN_STDZ
$ok="<img src='".INFUSIONS."jsh_dplan/images/check.png'>";
$nichtvorhanden="<img src='".INFUSIONS."jsh_dplan/images/bug_16.png'>";

$result = mysql_query("SELECT * FROM ".DB_JSHDPLAN_SCHT);
if($result){
	$schicht_txt= $ok;
}else{
	$schicht_txt= "<a href='".INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid&act=scht'>$nichtvorhanden</a>";
}

$result = mysql_query("SELECT * FROM ".DB_JSHDPLAN_MNT);
if($result){
	$monat_txt= $ok;
}else{
	$monat_txt= "<a href='".INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid&act=mnt'>$nichtvorhanden</a>";
}

$result = mysql_query("SELECT * FROM ".DB_JSHDPLAN_FTG);
if($result){
	$feiertag_txt= $ok;
}else{
	$feiertag_txt= "<a href='".INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid&act=ftg'>$nichtvorhanden</a>";
}

$result = mysql_query("SELECT * FROM ".DB_JSHDPLAN_STDZ);
if($result){
	$stundenz_txt= $ok;
}else{
	$stundenz_txt= "<a href='".INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid&act=stdz'>$nichtvorhanden</a>";
}


opentable("Install Check DPLAN 2.3");

echo "
<table class='tbl2' border='0'>
	<tr>
		<td class='tbl1'>".DB_JSHDPLAN_SCHT."</td><td class='tbl1'>&nbsp;&nbsp;&nbsp;</td><td class='tbl1'>$schicht_txt</td>
	</tr>
	<tr>
		<td class='tbl1'>".DB_JSHDPLAN_MNT."</td><td class='tbl1'>&nbsp;</td><td class='tbl1'>$monat_txt</td>
	
	</tr>
		<tr>
		<td class='tbl1'>".DB_JSHDPLAN_FTG."</td><td class='tbl1'>&nbsp;</td><td class='tbl1'>$feiertag_txt</td>
	
	</tr>
		<tr>
		<td class='tbl1'>".DB_JSHDPLAN_STDZ."</td><td class='tbl1'>&nbsp;</td><td class='tbl1'>$stundenz_txt</td>
	
	</tr>

	
</table>



";
// $act wird vorstehend geprüft
// stunden - begin
if ($act=="stdz"){
 $sql_stdz="";
$sql_stdz="CREATE TABLE IF NOT EXISTS ".DB_JSHDPLAN_STDZ."
    (`stdid` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`stdjahr` INT(4) NOT NULL DEFAULT '0',
`stdmonat` INT(2) NOT NULL DEFAULT '0',
`stdtag` INT(2) NOT NULL DEFAULT '0',
`stdschicht` VARCHAR(20) NOT NULL DEFAULT '',
`stduserid` INT(3) NOT NULL DEFAULT '0',
`stdvon` INT(10) NOT NULL DEFAULT '0',
`stdbis` INT(10) NOT NULL DEFAULT '0',
`stdpause` VARCHAR(5) NOT NULL DEFAULT '0.00',
`stdanzahl` VARCHAR(5) NOT NULL DEFAULT '',
`stdcheck` VARCHAR(32) NOT NULL DEFAULT '',
PRIMARY KEY  (`stdid`))
 ENGINE=MyISAM";
	 
	 
$result = mysql_query($sql_stdz);
redirect(INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid");

}
// stunden - end


// Schichten - begin
if ($act=="scht"){
$sql_scht="";
$sql_scht="CREATE TABLE IF NOT EXISTS ".DB_JSHDPLAN_SCHT." (
`sid` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
`sname` VARCHAR(40) NOT NULL DEFAULT '',
`snamekurz` VARCHAR(3) NOT NULL DEFAULT '',
`sort` VARCHAR(20) NOT NULL DEFAULT '',
`sfrom` VARCHAR(5) NOT NULL DEFAULT '',
`still` VARCHAR(5) NOT NULL DEFAULT '',
`spause` VARCHAR(5) NOT NULL DEFAULT '',
`sstunden` VARCHAR(4) NOT NULL DEFAULT '',
`scheck` VARCHAR(32) NOT NULL DEFAULT '',
PRIMARY KEY (`sid`)
) ENGINE=MyISAM;";

$result = mysql_query($sql_scht);
redirect(INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid");
}
// Schichten - end


// Kalendereinträge - begin
if ($act=="mnt"){
$sql_mnt="";
$sql_mnt="CREATE TABLE IF NOT EXISTS ".DB_JSHDPLAN_MNT." (
`dpl_id` INT(11) NOT NULL AUTO_INCREMENT,
`dpl_year` INT(4) NOT NULL DEFAULT '2015',
`dpl_month` tinyINT(2) NOT NULL DEFAULT '1',
`dpl_u_id` VARCHAR(20) NOT NULL DEFAULT '',
`dpl_day1` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day2` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day3` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day4` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day5` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day6` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day7` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day8` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day9` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day10` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day11` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day12` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day13` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day14` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day15` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day16` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day17` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day18` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day19` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day20` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day21` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day22` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day23` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day24` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day25` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day26` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day27` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day28` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day29` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day30` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_day31` VARCHAR(4) NOT NULL DEFAULT '',
`dpl_stdsoll` VARCHAR(6) NOT NULL DEFAULT '',
`dpl_stdist` VARCHAR(6) NOT NULL DEFAULT '',
`dpl_diff` VARCHAR(6) NOT NULL DEFAULT '',
`dpl_check` VARCHAR(32) NOT NULL DEFAULT '',
`dpl_userdg` VARCHAR(20) NOT NULL DEFAULT '',
`dpl_txt` TEXT NOT NULL,
PRIMARY KEY (`dpl_id`)
) ENGINE=MyISAM;";

$result = mysql_query($sql_mnt);
redirect(INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid");
}
// Kalendereinträge - end

// feiertage - begin
if ($act=="ftg"){
$sql_ftg="";
$sql_ftg="CREATE TABLE IF NOT EXISTS ".DB_JSHDPLAN_FTG." (
ft_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
ft_jahr VARCHAR(4) NOT NULL DEFAULT '',
ft_monat VARCHAR(2) NOT NULL DEFAULT '',
ft_tag VARCHAR(2) NOT NULL DEFAULT '',
ft_name VARCHAR(40) NOT NULL DEFAULT '',
ft_check VARCHAR(32) NOT NULL DEFAULT '',
PRIMARY KEY (ft_id)
) ENGINE=MyISAM;";

$result = mysql_query($sql_ftg);
redirect(INFUSIONS."jsh_dplan/admin_checkinstall.php?aid=$aid");
}
// feiertage - end
echo "
<br><br>\n
<center>\n
	<input type='button' class='button' value='".$locale['jsh_dplan403'] ."'onClick='history.go(-1)'>\n
</center>";
closetable();
// später noch die Umstellung der DB auf utf-8
// ALTER DATABASE Datenbankname DEFAULT CHARACTER SET  utf8 COLLATE utf8_general_ci


require_once THEMES."templates/footer.php";
?>